package com.ghy.worker.service;

import com.ghy.worker.domain.WorkerBank;

import java.util.List;

/**
 * @author clunt
 * 师傅银行卡service层
 */
public interface WorkerBankService {

    /**
     * @param workerBank 银行卡实体
     * @return 消费者
     */
    int insertWorkerBank(WorkerBank workerBank);

    int updateByMemberId(WorkerBank workerBank);

    /**
     * @param workerId 师傅id
     * @param deptId   公司ID
     * @return 师傅银行卡对象
     */
    WorkerBank getByWorkerId(Long workerId, Long deptId);

    WorkerBank getByMemberId(String memberId);

    /**
     * @param ids 师傅ids
     * @return 师傅银行对象集合
     */
    List<WorkerBank> getByWorkerIds(String ids);

    List<WorkerBank> select(WorkerBank workerBank);
}
